aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorWilliam Pitcock <nenolod@dereferenced.org>2017-04-07 00:50:16 +0000
committerWilliam Pitcock <nenolod@dereferenced.org>2017-04-07 00:50:16 +0000
commitef1821f53b66d9c15acbf8995ee86b97d4674ef1 (patch)
treeb97222f40089470e4e08ff88f2f2f50f3022aed4
parentb30e2c0a3edb25f2b60bcd7e330d94c21f339596 (diff)
downloadaports-ef1821f53b66d9c15acbf8995ee86b97d4674ef1.tar.gz
aports-ef1821f53b66d9c15acbf8995ee86b97d4674ef1.tar.bz2
aports-ef1821f53b66d9c15acbf8995ee86b97d4674ef1.tar.xz
community/redland: fix build on ppc64le
-rw-r--r--community/redland/APKBUILD17
1 files changed, 7 insertions, 10 deletions
diff --git a/community/redland/APKBUILD b/community/redland/APKBUILD
index 3a8daa74db..e4b620ac1b 100644
--- a/community/redland/APKBUILD
+++ b/community/redland/APKBUILD
@@ -14,19 +14,16 @@ install=""
subpackages="$pkgname-dev $pkgname-doc"
source="http://download.librdf.org/source/redland-$pkgver.tar.gz"
-_builddir="$srcdir"/redland-$pkgver
+builddir="$srcdir"/redland-$pkgver
+
prepare() {
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
+ default_prepare || return 1
+ update_config_guess || return 1
+ update_config_sub || return 1
}
build() {
- cd "$_builddir"
+ cd "$builddir"
LIBS="-lm" ./configure --prefix=/usr \
--sysconfdir=/etc \
--mandir=/usr/share/man \
@@ -37,7 +34,7 @@ build() {
}
package() {
- cd "$_builddir"
+ cd "$builddir"
make DESTDIR="$pkgdir" install || return 1
}